from flask import Flask, jsonify
from flask_cors import CORS

# config
DEBUG = True

BOOKS = [
    {
        'title': 'On the Road',
        'author': 'Jack Kerouac',
        'read': True
    },
    {
        'title': 'Harry Potter and the Philosopher\'s Stone',
        'author': 'J. K. Rowling',
        'read': False
    },
    {
        'title': 'Green Eggs and Ham',
        'author': 'Dr. Seuss',
        'read': True
    }
]


# app init
app = Flask(__name__)
app.config.from_object(__name__)

# enable CORS. Note in this config it allows requests from all inbound domains.
CORS(app)


# sanity check route
@app.route('/ping', methods=['GET'])
def ping_route():
    return jsonify('You pass butter')


@app.route('/books', methods=['GET'])
def all_books():
    return jsonify({
        'status': 'success',
        'books': BOOKS
    })


if __name__ == '__main__':
    app.run()
